@charset "utf-8";

/*共通*/
html {
    scroll-behavior: smooth;
}
body {
    margin: 0;
    background-color: #293b39;
    background-image: url(images/Texture.png);
    font-family: "Scheherazade New", "Rufina", serif;

}
a {
    text-decoration: none;
    color: #fff;
    font-size: 14px;
    font-family: "Rufina";
}
p, .title {
    color: #fff;
}
.title {
    text-align: center;
    font-size: 36px;
    line-height: 0.6;
    font-family: "Rufina";
}
.slide-in-up {
    opacity: 0;
    transform: translateY(100px);
    transition: transform 0.6s ease-out, opacity 0.6s ease-out;
}
  
.slide-in-up.is-animated {
    opacity: 1;
    transform: translateY(0);
}
/*枠*/
    .frame-border {
        position: fixed;
        top: 0; left: 0; right: 0; bottom: 0;
        pointer-events: none;
        z-index: 9999;
    }

    /*外側の緑*/
    .frame-border .outer-border {
        position: fixed;
        top: 0; left: 0; right: 0; bottom: 0;
        border: 10px solid #243432; 
        box-sizing: border-box;
    }
    /* 二重線内側 */
    .frame-border .inner-borders {
        position: fixed;
        top: 10px; left: 10px; right: 10px; bottom: 10px;
        pointer-events: none;
        box-sizing: border-box;
    }
    /* 白1本目 */
    .frame-border .inner-borders::before {
        content: "";
        position: absolute;
        top: 0; left: 0; right: 0; bottom: 0;
        border: 4px solid white;
        box-sizing: border-box;
    }
    /* 白2本目*/
    .frame-border .inner-borders::after {
        content: "";
        position: absolute;
        top: 10px; left: 10px; right: 10px; bottom: 10px;
        border: 2px solid white;
        box-sizing: border-box;
    }

/*header-nav*/
    .fixed {
        position: fixed;
        width: 100%;
        z-index: 1000;
    }
    .header-nav .logo{
        margin: 50px 0 0 50px;
    }
    .logo img {
        display: block;
        transition: opacity 0.3s ease;
      }
      
      /* 親の a.logo に背景画像を使って切り替え */
      .logo {
        display: inline-block;
        position: relative;
        width: 100px;
      }
      
      .logo::after {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        width: 100px;
        height: 100%;
        background-image: url("images/logo-gold.png"); /* 切り替えたい画像 */
        background-size: contain;
        background-repeat: no-repeat;
        background-position: top;
        opacity: 0;
        transition: opacity 0.3s ease;
        pointer-events: none;
        z-index: 2;
      }
      
      .logo:hover::after {
        opacity: 1;
      }
      
    
    .header-nav {
        display: flex;
        justify-content: space-between;
    }
    .header-nav nav {
        padding-right: 8%;
        margin-left: auto;
    }
    .header-nav ul{
        display: flex;
        padding: 60px;
        padding-left: 0;
        align-items: center;
    }
    .header-nav ul li {
        margin: 0 40px;
        list-style: none;
    }
    /*navのデコレーション*/
    .button-border{
        padding:  10px 8px;
        position: relative;
        display: inline-block;
        color: #fff;
        text-decoration: none;
      }
      .inner-border {
        padding: 10px 8px;
      }
     
      /* 擬似要素の共通スタイル */
      .button-border::after,
      .button-border::before,
      .button-border span::after,
      .button-border span::before {
        background-color: #fff;
        content: '';
        display: block;
        position: absolute;
        z-index: 10;
        transition: all .3s ease;
        -webkit-transition: all .3s ease;
      }
      /* 左上へ配置 */
      .button-border::after {
          width: 0px;
          height: 1.2px;
          top: -1px;
          left: -1px;
      }
      /* 右下へ配置 */
      .button-border::before {
          width: 0px;
          height: 1.2px;
          right: -1px;
          bottom: -1px;
      }
      /* 左下へ配置 */
      .button-border span::after {
          width: 1.2px;
          height: 0px;
          top: 0px;
          left: -1px;
        }
      /* 右上へ配置 */
      .button-border span::before {
          width: 1.2px;
          height: 0px;
          right: -1px;
          bottom: 0px;
      }
      .nav-span{
        display: inline-block;
        width: 0.8px;
        height: 23px;
        background-color: #fff;
      }
      
      /* hover */
      .button-border:hover::after,
      .button-border:hover::before {
        width: 100%;
        width: calc(100% + 1px);
      }
      
      .button-border:hover span::after,
      .button-border:hover span::before {
        height: 100%;
        height: calc(100% + 1px);
      }
      .button-border:hover{
        transition: background-color 0.3s;
        background-color: #907e47;
      }
      
/*ハンバーガー*/
.hamburger {
    display: none;
    width: 50px;
    height: 50px;
    border: 1px solid #fff;
    position: fixed;
    top: 30px;
    right: 30px;
    z-index: 10000;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    cursor: pointer;
  }
  
  /* 三本線 */
  .hamburger span {
    display: block;
    width: 25px;
    height: 1px;
    background-color: #fff;
    margin: 4px 0;
    transition: all 0.3s ease;
  }
  
  /* 開いたときのアニメーション（バツに変化） */
  .hamburger.active span:nth-child(1) {
    transform: translateY(10px) rotate(45deg);
  }
  .hamburger.active span:nth-child(2) {
    opacity: 0;
  }
  .hamburger.active span:nth-child(3) {
    transform: translateY(-10px) rotate(-45deg);
  }
  
/*TOPへボタン*/
.back-to-top {
    position: fixed;
    bottom: 60px;
    right: 60px;
    width: 81px;
    height: 81px;
    border-radius: 50%;
    background-color: transparent;
    color: #fff;
    font-weight: bold;
    font-size: 16px;
    text-align: center;
    line-height: 80px;
    text-decoration: none;
    z-index: 999;

    /* 内側の白い細線 */
    border: 1px solid #fff;
    box-sizing: border-box;
    transition: background-color 0.3s;
}

.back-to-top::before {
    content: '';
    position: absolute;
    top: -6.2px;
    left: -6.2px;
    width: 91px;
    height: 91px;
    border-radius: 50%;
    border: 2px solid #fff; /* 外側の太線 */
    z-index: -1; /* 本体の下に表示 */
    background-color: transparent;
    box-sizing: border-box;
}

.back-to-top:hover {
    background-color: #907e47;
}
      
      
/*最初のタイトル*/
  .title-section {
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background-image: url(images/kotyouran\ 1.png);
    background-repeat: no-repeat;
    background-position: 95% 80%;
    overflow-x: hidden;
  }
  
  .title-block {
    text-align: center;
    padding: 0 20px;
  }
  
  .title-1, .title-2 {
    font-family: "Scheherazade New";
    margin: 0;
    padding: 0.06em 0;
    font-size: 5.5em;
    line-height: 0.5;
    display: block;
    word-break: break-word;
  }
  .title-2 {
    font-size: 2em;
    padding-top: 10px;
  }
  .title-line {
    width: 40em;
    height: 1px;
    background-color: #fff;
    margin: 0 auto;

    transform: scaleX(0);
    transform-origin: center; 
    animation: lineGrow 0.8s ease-out forwards;
    animation-delay: 0.2s;
  }
  @keyframes lineGrow {
    to {
      transform: scaleX(1);
    }
  }
  /*スクロールダウン*/
  .container_01 {
    margin: 0;
    padding: 0;
    height: 300px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #a5cbd700;
    overflow: hidden;
  }
  
  .container_01 a:hover {
    opacity: 0.7;
  }
  
  .scroll-down_01 {
    position: relative;
    width: 200px;
    height: 200px;
    color: #fff;
    font-family: serif;
    text-decoration: none;
  }
  
  .circle-text_01 {
    position: absolute;
    width: 100%;
    height: 100%;
    animation: rotate 20s linear infinite;
  }
  
  .circle-text_01 span {
    position: absolute;
    left: 50%;
    font-size: 16px;
    transform-origin: 0 100px;
  }
  
  .arrow_01 {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 30px;
    height: 50px;
    transform: translate(-50%, -50%);
    animation: scroll_01 3s infinite;
  }
  
  .arrow_01::before {
    content: "";
    position: absolute;
    top: 0;
    left: 50%;
    height: 100%;
    width: 1px;
    background-color: #fff;
    transform: translateX(-50%);
  }
  .arrow_01::after {
    content: "";
    position: absolute;
    bottom: 2px;
    left: 50%;
    width: 12px;
    height: 12px;
    border-bottom: 1px solid #fff;
    transform: translateX(-50%) rotate(-45deg);
  }
  
  @keyframes rotate {
    0% {
      transform: rotate(0deg);
    }
    100% {
      transform: rotate(360deg);
    }
  }
  
  @keyframes scroll_01 {
    0% {
      transform: translate(-50%, -50%) translateY(-10px);
      opacity: 0;
    }
    30% {
      opacity: 1;
    }
    100% {
      transform: translate(-50%, -50%) translateY(10px);
      opacity: 0;
    }
  }

/*bg-portfolio*/
.bg {
    position: relative;
    height: 22vh;
    z-index: 0;
}
.bg-container {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    z-index: 0;
    pointer-events: none;
  }
  
  .bg-text {
    white-space: nowrap;
    font-size: 25vh;
    color: #243432db; 
    animation: scroll-left 20s linear infinite;
    line-height: 1;
  }
    
  @keyframes scroll-left {
    0% {
      transform: translateX(0%);
    }
    100% {
      transform: translateX(-100%);
    }
  }
  
  
/*works*/
.works {
    padding-bottom: 10vh;
}
.title-block {
    padding: 15vh 0;
}
.section-title-line1, .section-title-line2, .section-title-line3 {
    width: 90%;
    height: 3px;
    background-color: #fff;
    margin: 0 auto;
}
.section-title-line2:first-of-type {
    height: 4px;
    margin-top: 20vh;
    margin-bottom: 5px;
  }

  .section-title-line2:last-of-type {
    height: 1px;
    margin-top: 0px;
  }
.section-title-line3 {
    height: 1px;
    margin-top: 5px;
}
.works-type {
    font-size: 26px;
    padding: 10vw 0 30px 0;
}
/*card*/
.card-container {
    display: flex;
    justify-content: center;       /* 横方向の中央揃え */
                       
    flex-wrap: wrap;               /* 画面幅が狭いときに折り返す */
    margin: 0 auto;
    max-width: 1200px;
    padding: 40px;
    /* background-image: url(images/kotyouran\ 2.png);
    background-position: 10% 100%; */

    border: 2px solid white;
    box-sizing: border-box; 

    position: relative;
  }
  .card-container::before {
    content: "";
    position: absolute;
    top: 0; left: 0; right: 0; bottom: 0;
    background-image: url(images/bg-flower2.png); 
    background-position: center;
    opacity: 0.2; 
    z-index: -1; 
  }
.card {
    display: block;
    width: 30%;
    height: 50vh;
    min-width: 300px;
    overflow: hidden;
    text-decoration: none;
    color: inherit;
    transition: background-color 0.3s, border 0.3s;
    position: relative;
    border: 2px solid transparent;
    padding-bottom: 10px;

    opacity: 0;
    transform: translateY(100px);
    transition: transform 0.6s ease-out, opacity 0.6s ease-out;
  }
  
  .card:hover {
    background-color: #907e47;
    border: 1px solid white;
  }
  
  .card img {
    width: 83%;
    aspect-ratio: 4/3;
    display: block;
    object-fit: cover;
    box-shadow: 0 8px 12px rgba(0, 0, 0, 0.5);
    margin: 2em auto 1em auto;
    border: 1px #fff solid;
  }
  
  .card-text {
    font-family: "Zen antique soft";
    padding: 20px;
    margin: 0 10px 1em 10px;
  }
  .card-text .works-text {
    opacity: 0;
    max-height: 0;
    overflow: hidden;
    transition: opacity 0.3s ease, max-height 0.3s ease;
    margin: 0;
    padding-bottom: 70px;
    font-size: 0.95em;
    line-height: 1.5;
  }
  .card:hover .card-text p{
    opacity: 1;
    max-height: 100px; /* 適当に十分な高さ */
  }
  .card-text .work-name {
    color: #fff;
    margin: 0;
    padding-bottom: 1em;
    font-size: 1.5em;
  }
  
  .card.is-animated {
    transform: translateY(0);
    opacity: 1;
  }
  
/*WORK個ページ*/
.flex {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 40px;
    padding: 80px 10%;
    margin-bottom: 5vh;
    color: #fff;
}
.work .title {
    padding: 3vh 0 3vh 0;
    font-size: 8vh;
}
.work-title {
    font-size: 2.2em;
    color: #fff;
    padding: 0;
}
.work-img-main {
    width: 100%;
    max-width: 500px;
    height: auto;
    border: 1px solid white;
}
.work-text {
    max-width: 600px;
    font-size: 1.1em;
    line-height: 1.6;
}
.work-text p {
    color: #fff;
    line-height: 2.2em; /* 行間を広げて罫線感を出す */
    background-image: repeating-linear-gradient(
      to bottom,
      transparent 0,
      transparent 93%,    /* 文字領域 */
      #fff 95.5%,  /* 線の色 */
      #fff 96% /* 線の太さ */
    );
    background-size: 100% 2.2em; /* 行の高さと合わせる */
    padding: 0.5em 0;
}
.img-flex {
    align-items: flex-start;
    border-top: #fff 1px solid;
}
.work-img{
    max-width:60vh;
    width:100%;
    border:none;
}

.work-img > img{
    display:block;
    width:100%;
    border:1px solid #fff;
}
.img-box {
    display: flex;
    flex-direction: column;
    align-items: left;
    max-width: 60vh;
    width: 100%;
  }
  
  .img-label {
    margin-top: 10px;
    color: #fff;
    font-size: 1rem;
    text-align: left;
  }
  

/*デザイン詳細ページ*/
.design .title{
    padding: 3vh 0 3vh 0;
    font-size: 8vh;
}
.design .flex {
    padding-top: 20vh;
    padding-bottom: 20vh;
}
.sp {
    max-width: 20vw;
}
.design .img-flex {
    border-bottom: #fff 1px solid;
}
.design .img-flex:last-of-type{
    border-bottom: none;
}


/*about*/
.about {
    position: relative;
    margin: 10vh 0;
}

.about::before {
    content: "";
    position: absolute;
    inset: 0;

    background-image: url(images/kotyouran\ 2.png);
    background-repeat: no-repeat;
    background-position: 10% 100%;

    opacity: 0.5; 

    z-index: -1;
}
.profile-section {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 60px;
    padding: 80px 10%;
    color: #fff;
    flex-wrap: wrap; /* レスポンシブ対応 */
  }
  
  .profile-image-wrapper {
    position: relative;
    width: 220px;
    height: 220px;
    border-radius: 50%;
    border: 2px solid #fff;
  }
  
  .profile-image-wrapper::before {
    content: "";
    position: absolute;
    top: -12px;
    left: -12px;
    right: -12px;
    bottom: -12px;
    border: 3px solid #fff;
    border-radius: 50%;
  }
  
  .profile-image {
    width: 100%;
    height: 100%;
    border-radius: 50%;
    object-fit: cover;
    display: block;
  }
  
  .profile-text {
    max-width: 600px;
    font-size: 1.1em;
    line-height: 1.8;
  }
  
  .profile-title {
    font-size: 2em;
    color: #fff;
    margin-bottom: 0.5em;
    display: inline-block;
  }
  
  .sub {
    font-size: 1em;          /* 小さく表示 */
    margin-left: 0.5em;        /* 少し離す */
    color: #FFF;
    vertical-align: baseline;  /* ベースライン揃え */
  }

.view-more-wrapper {
    position: relative;
    margin-top: 20px;
    height: 40px;
}

.view-more {
    position: absolute;
    bottom: 0;
    right: 20vw;
    padding: 10px 20px;
    color: #fff;
    font-size: 14px;
    border: 1px solid #fff;
    overflow: hidden;
    text-transform: uppercase;
    text-decoration: none;
    transition: color 0.3s ease;
}

.view-more::before {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 0;
    height: 100%;
    background-color: #907e47;
    z-index: -1;
    transition: width 0.25s ease;
}

.view-more:hover::before {
    width: 100%;
}
/*profileページ*/
.interest {
    display: flex;
    flex-wrap: wrap;
}
.images {
    position: relative;
    overflow: hidden;
    max-width: 220px;
    width: 100%;
}
.images img {
    display: block;
    width: 100%;
    height: auto;
}
.images-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(30, 50, 40, 0.6); /* 半透明な黒背景 */
    color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    opacity: 0;
    transition: opacity 0.3s ease;
    padding: 1em;
    box-sizing: border-box;
}


  /* ホバー時に表示 */
.images:hover .images-overlay {
    opacity: 1;
}

/*風景印*/
.hukeiin{
  display: flex;
  flex-wrap: wrap;
}
.slider{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 20px;
}

.slider-window{
    width: 100%;
    border:1px solid #fff;
    overflow: hidden;
}

.slider-track{
    display:flex;
    transition:.4s;
}

.slider-track img{
    width:100%;
    flex-shrink:0;
    display:block;
}

.slider-btn{
    width:42px;
    height:42px;
    min-width:42px;
    min-height:42px;

    border:1px solid #fff;
    border-radius:50%;

    background:transparent;

    display:flex;
    justify-content:center;
    align-items:center;

    flex-shrink:0;
    cursor:pointer;
    transition:background-color .3s ease;
}
.slider-btn::before{
    content:"";
    width:10px;
    height:10px;
    display:block;
    border-top:1.5px solid #fff;
    border-right:1.5px solid #fff;
}
.slider-btn:hover{
    background-color:#907e47;
}

.prev{
    left:10px;
}
.prev::before{
    transform:translateX(2px) rotate(-135deg);
}
.next{
    right:10px;
}
.next::before{
    transform:translateX(-2px) rotate(45deg);
}
.slider-dots{
    margin-top:15px;
    text-align:center;
}

.slider-dots span{
    display:inline-block;
    width:8px;
    height:8px;
    margin:0 6px;
    border-radius:50%;
    background:#fff;
    cursor:pointer;
    transition:.3s;
}

.slider-dots span.active{
    background:#907e47;
}
  /*footer*/
  .site-footer {
    background-color: #1b2b29; /* body背景より濃い緑系 */
    border: #fff 1px solid;
    padding: 10vh 10%;
    color: #fff;
    font-family: "Scheherazade New", "Rufina", serif;
  }
  
  .footer-content {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 60px;
  }
  
  .footer-logo img {
    width: 120px;
    height: auto;
  }
  
  .footer-info {
    flex: 1;
    min-width: 250px;
  }
  
  .footer-site-name {
    font-size: 1.5em;
    margin-bottom: 10px;
  }
  
  .footer-nav {
    list-style: none;
    padding: 0;
    margin: 10px 0 20px 0;
    display: flex;
    gap: 20px;
    flex-wrap: wrap;
  }
  
  .footer-nav li a {
    position: relative;
    color: #fff;
    text-decoration: none;
    font-size: 14px;
    display: inline-block;
    padding-bottom: 1px;
    transition: color 0.3s ease;
  }
  
  .footer-nav li a::after {
    content: "";
    position: absolute;
    left: 50%;
    bottom: 0;
    width: 0;
    height: 0.5px;
    background-color: #fff;
    transition: all 0.3s ease;
    transform: translateX(-50%);
  }
  
  .footer-nav li a:hover::after {
    width: 100%;
  }
  
  .footer-copy {
    font-size: 12px;
    color: rgba(255, 255, 255, 0.6);
  }
  
/*レスポンシブ調整 */
@media (max-width: 768px) {
    body{
      padding: 0 5vw;
    }
    .frame-border .outer-border {
    border-width: 8px;
    }
    .frame-border .inner-borders {
    top: 8px; left: 8px; right: 8px; bottom: 8px;
    }
    .frame-border .inner-borders::before {
    border-width: 3px;
    }
    .frame-border .inner-borders::after {
    top: 6px; left: 6px; right: 6px; bottom: 6px;
    border-width: 1.5px;
    }
    .logo {
        display: none;
    }
    
    
    .hamburger {
        display: flex;
        position: fixed;
        top: 30px;
        right: 30px;
        width: 50px;
        height: 50px;
        border: 1.5px solid white;
        justify-content: center;
        align-items: center;
        cursor: pointer;
        z-index: 1001; /* ボタンを最前面に */
    }

    .hamburger:hover {
        background-color: #907e47;
    }

    .hamburger span,
    .hamburger::before,
    .hamburger::after {
        content: '';
        display: block;
        width: 25px;
        height: 1px;
        background: white;
        position: absolute;
        transition: 0.3s;
    }

    .hamburger::before {
        transform: translateY(-10px);
    }

    .hamburger::after {
        transform: translateY(10px);
    }

    .hamburger.active span {
        opacity: 0;
    }

    .hamburger.active::before {
        transform: rotate(45deg);
    }

    .hamburger.active::after {
        transform: rotate(-45deg);
    }

    .header-nav nav {
        position: fixed;
        top: 0;
        right: 0;
        width: 70%;
        height: 100vh;
        background-color: #243432;
        border-left: 1px solid #fff;
        padding: 100px 20px 40px 20px; /* メニュー内の余白調整 */
        transform: translateX(100%);
        transition: transform 0.3s ease;
        z-index: 1000;
    }

    .header-nav nav.open {
        transform: translateX(0);
    }

    .header-nav ul {
        flex-direction: column;
        padding: 0;
        margin: 0;
    }

    .header-nav ul li {
        margin: 20px 0;
        text-align: center;
    }
    
    .back-to-top {
        display: none;
    }
    .title-block {
      padding-bottom: 0;
    }
    .title-section .title-block{
      padding: 0;
    }
    .title-1 {
        font-size: 2.5em;
      }
    
    .title-2 {
        font-size: 1.2em;
    }
    
    .title-line {
        width: 20em;
    }
    .work .title,
    .design .title {
      font-size: 5vh;
    }
    .design .flex {
      padding-top: 10vh;
    }
    .section-title-line3,
    .section-title-line2,
    .section-title-line1 {
      width: 85%;
    }
    .section-title-line2:first-of-type{
      margin-top: 0;
    }
    .flex {
        flex-direction: column;
        gap: 40px;
    }

    .work-img-t {
        max-width: 800%;
        width: 80%;
        margin-bottom: 3em;
    }

    .work-text {
        max-width: 100%;
        font-size: 1em;
    }

    .view-more-wrapper {
        position: static;
        display: flex;
        justify-content: center;
        height: auto;
        margin-top: 20px;
    }
    
    .view-more {
        position: relative;
        right: auto;
        bottom: auto;
    }

    .footer-info {
        text-align: center;
      }
    
    .footer-nav {
      justify-content: center;
    }
    .footer-logo{
      max-width: 80px;
    }
}